#if !defined(AFX_LINESELECT_H__8E8055DD_473F_11D2_BFD9_00401C6095EC__INCLUDED_)
#define AFX_LINESELECT_H__8E8055DD_473F_11D2_BFD9_00401C6095EC__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// LineSelect.h : header file
//
#include "commonres.h"
/////////////////////////////////////////////////////////////////////////////
// CLineSelect dialog

class CLineSelect : public CDialog
{
// Construction
public:
	CLineSelect(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CLineSelect)
	enum { IDD = IDD_LINESELECT };
	CListBox	m_SNALines;
	//}}AFX_DATA
	const CStringArray* m_pDisplayList;
	int m_nSel;
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CLineSelect)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
public:
	int GetSelection() const;
	void SetDisplayList(const CStringArray* strarray);
protected:

	// Generated message map functions
	//{{AFX_MSG(CLineSelect)
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LINESELECT_H__8E8055DD_473F_11D2_BFD9_00401C6095EC__INCLUDED_)
